edu.sc.seis.sod.velocity.network

## Class VelocityChannelGroup

- java.lang.Object
- - edu.sc.seis.sod.velocity.network.VelocityChannelGroup

-     public class VelocityChannelGroup
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocityChannelGroup(edu.sc.seis.fissuresUtil.hibernate.ChannelGroup wrapped)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(edu.iris.Fissures.IfNetwork.Channel c)`
    `VelocityChannel` | `getChannel(edu.iris.Fissures.IfNetwork.ChannelId chanId, edu.iris.Fissures.IfEvent.EventAccessOperations event)` Gets the channel that corresponds to this channelId from the ChannelGroup.
    `VelocityChannel` | `getChannel1()`
    `VelocityChannel` | `getChannel2()`
    `VelocityChannel` | `getChannel3()`
    `edu.sc.seis.fissuresUtil.hibernate.ChannelGroup` | `getChannelGroup()`
    `java.util.List<VelocityChannel>` | `getChannels()`
    `java.util.List<VelocityChannel>` | `getHorizontal()` Finds the 2 horizontal channels.
    `java.util.List<VelocityChannel>` | `getHorizontalXY()` Gets the horizontals as X and Y, so that the first channel's azimuth is the seconds + 90 degrees, ie x == east and y == north.
    `VelocityNetwork` | `getNetworkAttr()`
    `VelocityChannel` | `getRadial(edu.iris.Fissures.IfEvent.EventAccessOperations event)`
    `VelocityChannel` | `getRadial(edu.iris.Fissures.Location eventLoc)`
    `VelocityStation` | `getStation()`
    `VelocityChannel` | `getTransverse(edu.iris.Fissures.IfEvent.EventAccessOperations event)`
    `VelocityChannel` | `getTransverse(edu.iris.Fissures.Location eventLoc)`
    `VelocityChannel` | `getVertical()` Finds the vertical channel.
    `void` | `insertIntoContext(org.apache.velocity.VelocityContext ctx)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VelocityChannelGroup

          public VelocityChannelGroup(edu.sc.seis.fissuresUtil.hibernate.ChannelGroup wrapped)

  - ### Method Detail

    - #### getChannels

          public java.util.List<VelocityChannel> getChannels()

    - #### contains

          public boolean contains(edu.iris.Fissures.IfNetwork.Channel c)

    - #### getVertical

          public VelocityChannel getVertical()

      Finds the vertical channel. If no channel has a dip of -90 then null is returned.

    - #### getHorizontal

          public java.util.List<VelocityChannel> getHorizontal()

      Finds the 2 horizontal channels.

    - #### getHorizontalXY

          public java.util.List<VelocityChannel> getHorizontalXY()

      Gets the horizontals as X and Y, so that the first channel's azimuth is the seconds + 90 degrees, ie x == east and y == north. If this is not possible, then a zero length array is returned.

    - #### getChannel

          public VelocityChannel getChannel(edu.iris.Fissures.IfNetwork.ChannelId chanId,
                                            edu.iris.Fissures.IfEvent.EventAccessOperations event)

      Gets the channel that corresponds to this channelId from the ChannelGroup. The Event is needed in case this channel id comes from a seismogram that has been rotated to GCP, ie it has R or T as its orientation code.

    - #### getRadial

          public VelocityChannel getRadial(edu.iris.Fissures.IfEvent.EventAccessOperations event)

    - #### getRadial

          public VelocityChannel getRadial(edu.iris.Fissures.Location eventLoc)

    - #### getTransverse

          public VelocityChannel getTransverse(edu.iris.Fissures.IfEvent.EventAccessOperations event)

    - #### getTransverse

          public VelocityChannel getTransverse(edu.iris.Fissures.Location eventLoc)

    - #### getChannel1

          public VelocityChannel getChannel1()

    - #### getChannel2

          public VelocityChannel getChannel2()

    - #### getChannel3

          public VelocityChannel getChannel3()

    - #### getStation

          public VelocityStation getStation()

    - #### getNetworkAttr

          public VelocityNetwork getNetworkAttr()

    - #### insertIntoContext

          public void insertIntoContext(org.apache.velocity.VelocityContext ctx)

    - #### getChannelGroup

          public edu.sc.seis.fissuresUtil.hibernate.ChannelGroup getChannelGroup()